/* get Bootstrap config on http://getbootstrap.com/customize/?id=581587aab022e010e9c9 */

@import url(https://fonts.googleapis.com/earlyaccess/nanumbrushscript.css);
@import url(https://fonts.googleapis.com/earlyaccess/nanumgothic.css);
@import url(https://fonts.googleapis.com/earlyaccess/nanumgothiccoding.css);
@import url(https://fonts.googleapis.com/earlyaccess/nanummyeongjo.css);
@import url(https://fonts.googleapis.com/earlyaccess/nanumpenscript.css);
@import url(https://fonts.googleapis.com/css?family=Source+Code+Pro);




.container {
  border: 0px;
  max-width: none !important;
  /* width: 1280px; */
  width: 100%;
  height: 100%;
}

.container .navbar-header,
.container .navbar-collapse {
  margin-right: 0;
  margin-left: 0;
}

/* Always float the navbar header */

.navbar-header {
  float: left;
}

/* Undo the collapsing navbar */

.navbar-collapse {
  display: block !important;
  height: auto !important;
  padding-bottom: 0;
  overflow: visible !important;
  /* background-color: #f0caf3; */
}

.navbar-toggle {
  display: none;
}

.navbar-brand {
  margin-left: -15px;
}

.navbar {
  margin-bottom: 0;
  border: 0px;
}

/* Always apply the floated nav */

.navbar-nav {
  float: left;
  margin: 0;
}

.navbar-nav>li {
  float: left;
}

.navbar-nav>li>a {
  padding: 15px;
}

/* Redeclare since we override the float above */

.navbar-nav.navbar-right {
  float: right;
}

/* Undo custom dropdowns */

.navbar .open .dropdown-menu {
  position: absolute;
  float: left;
  background-color: #fff;
  border: 1px solid #cccccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-width: 0 1px 1px;
  border-radius: 0 0 4px 4px;
  -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
}

.navbar .open .dropdown-menu>li>a {
  color: #333;
}

.navbar .open .dropdown-menu>li>a:hover,
.navbar .open .dropdown-menu>li>a:focus,
.navbar .open .dropdown-menu>.active>a,
.navbar .open .dropdown-menu>.active>a:hover,
.navbar .open .dropdown-menu>.active>a:focus {
  color: #fff !important;
  background-color: #428bca !important;
}

.navbar .open .dropdown-menu>.disabled>a,
.navbar .open .dropdown-menu>.disabled>a:hover,
.navbar .open .dropdown-menu>.disabled>a:focus {
  color: #999 !important;
  background-color: transparent !important;
}

.btn {
  margin-right: 20px;
  border: 0px;
}

#main-wrapper {
  height: 100%;
}

#terminal-wrapper {
  height: auto;
}

#terminal {
  width: 100%;
  height: 300px;
}

#blocklyDiv {
  height: 700px;
  padding: 0px !important;
}

.test {
  height: 300px;
  border: 1px solid #cccccc;
  padding-top: 10px;
  text-align: center;
}

/* .button{
  text-align: center;
  line-height: 50px;
  height: 50px;
  
} */

/* .result{
  margin: 0 auto;
  height: 180px;
  background-color: aquamarine;
  border: 1px solid #cccccc;
  width: 80%;
} */

.el-table__empty-block {
  display: flex;
  text-align: center;
  height: 180px !important;
  align-items: center;
}

.button .bt {
  margin-right: 100px;
}

#code {
  /* height: 700px; */
  height: 400px;
  margin-bottom: 0;
}

#question {
  height: 700px;
}

#toolbox {
  display: none;
}

#footer {
  border-top: 1px solid #e5e5e5;
}

.pre-scrollable {
  max-height: 800px !important;
}

.code-edit {
  padding-right: 10px;
  padding-left: 0;
}

.code-show {
  padding: 0;
}

[v-cloak] {
  display: none;
}

.el-dropdown-link {
  cursor: pointer;
}

.el-icon-arrow-down {
  font-size: 10px;
}

.text img {
  width: 100%;
}

.text {
  font-weight: 700;
  font-size: 16px;
}

/* 
#main-wrapper .quest #code-wrapper{
  background-color: teal;
}
#main-wrapper .quest #code-wrapper::after{
  content: "";
  display: block;
  width: 0px;
  height: 0px;
  border-top: 30px solid #006767;
  border-right: 30px solid #006767;
  border-left: 30px solid #fff;
  border-bottom: 30px solid #fff;
  bottom: 20px;
  left: 15px;
  position: absolute;
  -webkit-filter: drop-shadow(7px -7px 5px rgba(0, 0, 0, 0.5));
  filter: drop-shadow(7px -7px 5px rgba(0, 0, 0, 0.5));
  margin-right: 10%;
} */
/* #main-wrapper .quest #code-wrapper::before{
  content: "";
  display: block;
  width: 0px;
  height: 0px;
  background-color: skyblue;
  top: 39px;
  right: 15px;
  border-bottom: 20px solid #006767;
  border-left: 20px solid #006767;
  border-right: 20px solid #fff;
  border-top: 20px solid #fff;
  position: absolute;
  -webkit-filter: drop-shadow(-5px 5px 3px rgba(0, 0, 0, 0.5));
  filter: drop-shadow(-5px 5px 3px rgba(0, 0, 0, 0.5));
} */


/* .code-edit .panel-default .blocklyToolboxDiv{
  background-color: teal;
}

.code-edit .panel-default .blocklyToolboxDiv::after{
  content: "";
  display: block;
  width: 0px;
  height: 0px;
  border-top: 20px solid #006767;
  border-right: 20px solid #006767;
  border-left: 20px solid #fff;
  border-bottom: 20px solid #fff;
  bottom: 0px;
  left: 0px;
  position: absolute;
  -webkit-filter: drop-shadow(7px -7px 5px rgba(0, 0, 0, 0.5));
  filter: drop-shadow(7px -7px 5px rgba(0, 0, 0, 0.5));
  margin-right: 10%;
}

.blocklyTreeLabel{
  color: #fff;
}
.blocklyTreeRow:hover{
  background-color: #efaa42 !important;
} */

div[role="treeitem"]:nth-of-type(1) .blocklyTreeRow {
  background-color: rgb(247, 203, 83);
}

div[role="treeitem"]:nth-of-type(2) .blocklyTreeRow {
  background-color:#53d17d;
}

div[role="treeitem"]:nth-of-type(3) .blocklyTreeRow {
  background-color: #53a7d1;
}

div[role="treeitem"]:nth-of-type(4) .blocklyTreeRow {
  background-color:#92d153;
}

div[role="treeitem"]:nth-of-type(5) .blocklyTreeRow {
  background-color: #a753d1;
}

div[role="treeitem"]:nth-of-type(1) div[role="group"] div[role="treeitem"]:nth-of-type(1) .blocklyTreeRow {
  background-color: #d15368;
}

div[role="treeitem"]:nth-of-type(1) div[role="group"] div[role="treeitem"]:nth-of-type(2) .blocklyTreeRow {
  background-color: #d1b853;
}

.saveParent {
  position: relative;
}
.save{
  position: absolute;
  bottom: -5px;
  left: 150px;
}

.panel-heading{
  padding: 0px !important;
}
.navbar-btn {
  margin-top: 3px !important;
  margin-bottom: 3px !important;

}